#! /bin/sh

KERNEL=`uname -r`
apt-get update
apt-get install linux-headers-$KERNEL build-essential
#dpkg -i --force-architecture hsolink-1.0.46-1_i386.deb 
cd hsolink-1.0.118
./configure && make && make install
echo "Si la compilation ne marche pas, tentez dpkg -i --force-architecture hsolink-1.0.46-1_i386.deb"
cd ..
dpkg -i hsoconnect-py2.5_1.1.83_all.deb
#cd /usr/src && sudo rm -f linux && sudo ln -s linux-headers-`uname -r` linux


MODULE_PATH="/lib/modules/$KERNEL/kernel/drivers/net/wwan/"

echo "Compiling module"

make clean

make

echo "Installing module"

mkdir -p /lib/modules/$KERNEL/kernel/drivers/net/wwan/ > /dev/null 2>&1
cp hso.ko $MODULE_PATH
depmod -ae

echo "Installing scripts"

cp -f  hso.udev /etc/udev/rules.d/z20_hso-udev.rules
cp -f rezero /usr/sbin/
/etc/init.d/udev restart

echo "Entrez votre code PIN dans le fichier conninfo.ini"
echo "Pour lancer la connexion:"
echo "Allez dans le repertoire hso puis faites"
echo "sudo ./connect.sh up"
echo "Pour couper la connexion:"
echo "sudo ./connect.sh down"
echo "ou utilisez l'interface graphique hsoconnect"
